Subject: gnus-group-compact-group uncaught delete-file error

From: Keith Waclena <[email-masked]>
Date: Thu, 17 Jan 2013 16:15:32 -0600

I have used gnus-group-compact-group for the first time, and it blows up
when attempting to delete a file that apparently got deleted out from
under gnus:

--8<---------------cut here---------------start------------->8---
Debugger entered--Lisp error: (file-error "Removing old name" "no such file or directory" "/home/keith/Mail/spamarc/255121")
  delete-file("/home/keith/Mail/spamarc/255121")
  nnml-request-compact-group("spamarc" "localmail" t)
  gnus-request-compact-group("nnml+localmail:spamarc")
  gnus-group-compact-group("nnml+localmail:spamarc")
  call-interactively(gnus-group-compact-group nil nil)
--8<---------------cut here---------------end--------------->8---

I see that I have a new file in this group as a result of the failed
compactifization:

-rw------- 1 keith keith        0 Jan 17 11:07 1

I see that msg 255121 is indeed listed in my ~/.newsrc.eld, but it
doesn't exist on disk:

    ("nnml+localmail:spamarc" 1
                       ((1 . 395530))
                       ((seen 255121
                              (259909 . 259959)
                              (288197 . 288198)
                              (288200 . 288205)
                              349929
                              356896
                              356905
                              356928
                              356943
                              356967
                              356985
                              (359620 . 359670)
                              (360130 . 360181)
                              (360371 . 360421)
                              (360715 . 360765)
                              (360977 . 361046)
                              (361527 . 361577)
                              (361625 . 361711)
                              (361809 . 361859)
                              (363061 . 363111)
                              (363490 . 363540)
                              (363635 . 363685)
                              (364054 . 364104)
                              (364888 . 364933)
                              (364936 . 364938)
                              (365482 . 365621)
                              (365678 . 365728)
                              (365845 . 365895)
                              (365937 . 366063)
                              (366106 . 366156)
                              (366362 . 366433)
                              (366757 . 366807)
                              (367502 . 367552)
                              (367575 . 367625)
                              (367659 . 367709)
                              (369090 . 369140)
                              (371861 . 371911)
                              (373404 . 373454)
                              (374880 . 374930)
                              (375558 . 375608)
                              (376228 . 376278)
                              (376741 . 376791)
                              (376835 . 376885)
                              (377866 . 377916)
                              (377959 . 378009)
                              (378032 . 378111)
                              (379134 . 379187)
                              (379491 . 379541)
                              (379928 . 379978)
                              (380130 . 380180)
                              (380247 . 382224)
                              (382227 . 395524))
                        (download 393446 (394584 . 394587) 395056)
                        (expire 255121
                                (393458 . 393497)
                                (394313 . 394682)
                                (394684 . 395296)
                                (395298 . 395409)
                                (395411 . 395524))
                        (reply 394748))
                       "nnml:localmail"
                        ((timestamp 20727 8505) (total-expire . t) (expiry-wait . 100) (gnus-fetch-old-headers nil) (charset . iso-8859-1) (ignored-charsets chinese-big5-1 chinese-big5-2) (gnus-newsgroup-ignored-charsets chinese-big5-1 chinese-big5-2) (gnus-show-threads nil)))

I think the delete-file needs to check for an error instead of blowing
up.

Thanks for hacking gnus!

Gnus v5.13
GNU Emacs 24.2.1 (x86_64-unknown-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2012-11-01 on jfcl
200 news.gmane.org InterNetNews NNRP server INN 2.5.1 ready (posting ok)
101 Capability list:
VERSION 2
IMPLEMENTATION INN 2.5.1
AUTHINFO USER
HDR
LIST ACTIVE ACTIVE.TIMES DISTRIB.PATS HEADERS NEWSGROUPS OVERVIEW.FMT
OVER
POST
READER
STARTTLS
.
382 Begin TLS negotiation now
101 Capability list:
VERSION 2
IMPLEMENTATION INN 2.5.1
AUTHINFO USER
HDR
LIST ACTIVE ACTIVE.TIMES DISTRIB.PATS HEADERS NEWSGROUPS OVERVIEW.FMT
OVER
POST
READER
.